aboutsummaryrefslogtreecommitdiffstats
path: root/get_env_info.sh
diff options
context:
space:
mode:
authorNauman_Ahad <nauman.ahad@xflowresearch.com>2016-02-23 15:24:29 +0500
committerNauman Ahad <nauman.ahad@xflowresearch.com>2016-02-23 10:42:44 +0000
commit6be6dcd2ae6997b45e82762b44d2e56d34f17814 (patch)
tree66cffc1565ea9fc71a3fdc806a545de36e642ffd /get_env_info.sh
parent314a28c3ad9b10fa1468fe9c8f484e3d8036065b (diff)
Resolved bug for Compass CI Jobs
Resolved problem for ssh into baremetal nodes. Capability for CI Jobs through Apex also added Change-Id: Ide34b97f97269750e8ec3d6f18ca693d28359223 Signed-off-by: Nauman_Ahad <nauman.ahad@xflowresearch.com> (cherry picked from commit 08349e676cf2a07616d6ae2ad3115f325760f1e5)
Diffstat (limited to 'get_env_info.sh')
-rwxr-xr-xget_env_info.sh21
1 files changed, 18 insertions, 3 deletions
diff --git a/get_env_info.sh b/get_env_info.sh
index 6a4dd530..2fb0d22b 100755
--- a/get_env_info.sh
+++ b/get_env_info.sh
@@ -1,22 +1,37 @@
#! /bin/bash
usage() {
- echo "usage $0 -n <installer_type> -i <installer_ip>"
+ echo "usage $0 -n <installer_type> -i <installer_ip> -k <key incase of apex>"
}
-while getopts ":n:i:" optchar; do
+while getopts ":n:i:k:" optchar; do
case "${optchar}" in
n)
- export INSTALLER_TYPE=${OPTARG};;
+ export INSTALLER_TYPE=${OPTARG};;
i)
export INSTALLER_IP=${OPTARG};;
+ k)
+ export APEX_KEY=${OPTARG};;
+
*)
echo "Incorrect usage"
usage ;;
esac
done
+
+if [ $INSTALLER_TYPE == "apex" ]
+ then
+ if [ -z $APEX_KEY ]
+ then
+ echo "Please provide the the key to access the APEX Instack VM"
+ usage
+ exit 1
+ fi
+fi
+
+
./data/fetch_os_creds.sh -d ./opnfv-creds.sh